<?PHP
	class m_career extends CI_Model{
		
		public function __construct()
		{
			parent::__construct();
		}
		
		function insert($data)
		{
			$this->db->insert('career',$data);
		}
		
		function showList()
		{
			$query = $this->db->get('career');
			return $query->result_array();
		}
		
		function update($id,$data)
		{
			$this->db->where('careerId',$id);
			$this->db->update('career',$data);
		}
		
		function showDetail($id)
		{
			$query = $this->db->get_where('career',array('careerId'=> $id));
			return $query->row_array();
		}
		
		function delete($id)
		{
			$this->db->where('careerId',$id);
			$this->db->delete('career');
		}
	}
?>